# Class StringConcatException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.invoke.StringConcatException

All Implemented Interfaces:
  `Serializable`

public class StringConcatException extends Exception
StringConcatException is thrown by `StringConcatFactory` when linkage invariants are violated.

Since:
  9
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StringConcatException(String msg)`
Constructs an exception with a message
`StringConcatException(String msg, Throwable cause)`
Constructs an exception with a message and a linked throwable

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StringConcatException

public StringConcatException(String msg)
Constructs an exception with a message

Parameters:
  `msg` - exception message

### StringConcatException

public StringConcatException(String msg, Throwable cause)
Constructs an exception with a message and a linked throwable

Parameters:
  `msg` - exception message
  `cause` - throwable cause